---
title: Maintenance workflow
description: 
published: true
date: 2025-02-15T22:05:51.789Z
tags: 
editor: markdown
dateCreated: 2025-02-15T21:28:29.716Z
---

# Maintenance workflow

For the most part, our services are hosted on Alpine Linux LXC containers. We rely almost exclusively on APK to manage are applications, rather than relaying on Docker containers. This was done to have more control over our infrastructure, and to rely on either Alpine maintainers, or our own packages. Since not everything is packaged and available on Alpine's repos, we package the rest ourselves. Applications that packages ourselves are tracked on our [iports repo](https://forge.ilot.io/ilot/iports). Each directory of that repo has APKBUILD files that define the building instructions.

When a new update is out, a Forgejo Actions creates an issue in that repo. This alerts the technical working group so that they can work on updating the packages, and then the servers. Once the APKBUILD is updated, a merge request can be made. It is within Merge requests that packages are built and sent to [our Alpine Linux repo](https://forge.ilot.io/ilot/-/packages) using Forgejo Actions. Many packages also have test suites to catch possible issues. Once they are pushed to the repo, the relevant servers can be updated using `apk upgrade`.

The [Maintenance project](https://forge.ilot.io/ilot/-/projects/2) gives a good overview of the status of each task.
